<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextRun (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextRun (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextRun.html" target="_top">Frames</a></li>
        <li><a href="TextRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface TextRun" class="title">Interface TextRun</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextRun.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFTextRun</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextRun.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextRun</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">TextRun</span></pre>
                <div class="block">Some text.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextRun.FieldType</a></span></code>
                                    <div class="block">Type of placeholder fields</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextRun.TextCap</a></span></code>
                                    <div class="block">Type of text capitals</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#createHyperlink--">createHyperlink</a></span>()</code>
                                    <div class="block">Creates a new hyperlink and assigns it to this text run.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextRun.FieldType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFieldType--">getFieldType</a></span>()</code>
                                    <div class="block">Experimental method to determine the field type, e.g.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontColor--">getFontColor</a></span>()</code>
                                    <div class="block">Returns the font color.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontFamily--">getFontFamily</a></span>()</code>
                                    <div class="block">Get the font family - convenience method for <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>getFontInfo(FontGroup)</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontFamily-org.apache.poi.common.usermodel.fonts.FontGroup-">getFontFamily</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</code>
                                    <div class="block">Get the font family - convenience method for <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>getFontInfo(FontGroup)</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-">getFontInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</code>
                                    <div class="block">Get the font info for the given font group</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontSize--">getFontSize</a></span>()</code>
                                    <div class="block">Returns the font size which is either set directly on this text
                                        run or
                                        given from the slide layout
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;?,?&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getHyperlink--">getHyperlink</a></span>()</code>
                                    <div class="block">Return the associated hyperlink</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getPitchAndFamily--">getPitchAndFamily</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getRawText--">getRawText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextRun.TextCap</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getTextCap--">getTextCap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isBold--">isBold</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isItalic--">isItalic</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isStrikethrough--">isStrikethrough</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isSubscript--">isSubscript</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isSuperscript--">isSuperscript</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#isUnderlined--">isUnderlined</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setBold-boolean-">setBold</a></span>(boolean&nbsp;bold)</code>
                                    <div class="block">Sets the bold state</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontColor-java.awt.Color-">setFontColor</a></span>(java.awt.Color&nbsp;color)</code>
                                    <div class="block">Sets the (solid) font color - convenience function</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontColor-org.apache.poi.sl.usermodel.PaintStyle-">setFontColor</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</code>
                                    <div class="block">Sets the font color</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontFamily-java.lang.String-">setFontFamily</a></span>(java.lang.String&nbsp;typeface)</code>
                                    <div class="block">Specifies the typeface, or name of the font that is to be used
                                        for this text run -
                                        convenience method for calling <a
                                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>setFontInfo(FontInfo,
                                            FontGroup)</code></a> with just a font name
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontFamily-java.lang.String-org.apache.poi.common.usermodel.fonts.FontGroup-">setFontFamily</a></span>(java.lang.String&nbsp;typeface,
                                    <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                       title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</code>
                                    <div class="block">Specifies the typeface, or name of the font that is to be used
                                        for this text run -
                                        convenience method for calling <a
                                                href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>setFontInfo(FontInfo,
                                            FontGroup)</code></a> with just a font name
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-">setFontInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a>&nbsp;fontInfo,
                                    <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                       title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</code>
                                    <div class="block">Specifies the font to be used for this text run.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontSize-java.lang.Double-">setFontSize</a></span>(java.lang.Double&nbsp;fontSize)</code>
                                    <div class="block">Sets the font size directly on this text run, if null is given,
                                        the
                                        font size defaults to the values given from the slide layout
                                    </div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setItalic-boolean-">setItalic</a></span>(boolean&nbsp;italic)</code>
                                    <div class="block">Sets the italic state</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setStrikethrough-boolean-">setStrikethrough</a></span>(boolean&nbsp;stroked)</code>
                                    <div class="block">Sets the strikethrough state</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setText-java.lang.String-">setText</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setUnderlined-boolean-">setUnderlined</a></span>(boolean&nbsp;underlined)</code>
                                    <div class="block">Sets the underlined state</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRawText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawText</h4>
                                <pre>java.lang.String&nbsp;getRawText()</pre>
                            </li>
                        </ul>
                        <a name="setText-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setText</h4>
                                <pre>void&nbsp;setText(java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                        <a name="getTextCap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextCap</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.TextCap.html"
                                        title="enum in org.apache.poi.sl.usermodel">TextRun.TextCap</a>&nbsp;getTextCap()</pre>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;getFontColor()</pre>
                                <div class="block">Returns the font color.
                                    This usually returns a <a
                                            href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html"
                                            title="interface in org.apache.poi.sl.usermodel"><code>PaintStyle.SolidPaint</code></a>,
                                    but but also other classes are possible
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font color/paint</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#getPaint-java.awt.Graphics2D-org.apache.poi.sl.usermodel.PaintStyle-"><code>DrawPaint.getPaint(java.awt.Graphics2D,
                                            PaintStyle)</code></a>,
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.SolidPaint.html#getSolidColor--"><code>PaintStyle.SolidPaint.getSolidColor()</code></a>,
                                        <a href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#applyColorTransform-org.apache.poi.sl.usermodel.ColorStyle-"><code>DrawPaint.applyColorTransform(ColorStyle)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColor</h4>
                                <pre>void&nbsp;setFontColor(java.awt.Color&nbsp;color)</pre>
                                <div class="block">Sets the (solid) font color - convenience function</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - the color</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColor-org.apache.poi.sl.usermodel.PaintStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColor</h4>
                                <pre>void&nbsp;setFontColor(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PaintStyle.html"
                                        title="interface in org.apache.poi.sl.usermodel">PaintStyle</a>&nbsp;color)</pre>
                                <div class="block">Sets the font color</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - the color</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/draw/DrawPaint.html#createSolidPaint-java.awt.Color-"><code>DrawPaint.createSolidPaint(Color)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontSize</h4>
                                <pre>java.lang.Double&nbsp;getFontSize()</pre>
                                <div class="block">Returns the font size which is either set directly on this text run
                                    or
                                    given from the slide layout
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font size in points or null if font size is not set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontSize-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontSize</h4>
                                <pre>void&nbsp;setFontSize(java.lang.Double&nbsp;fontSize)</pre>
                                <div class="block">Sets the font size directly on this text run, if null is given, the
                                    font size defaults to the values given from the slide layout
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontSize</code> - font size in points, if null the underlying fontsize
                                        will be unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontFamily--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontFamily</h4>
                                <pre>java.lang.String&nbsp;getFontFamily()</pre>
                                <div class="block">Get the font family - convenience method for <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>getFontInfo(FontGroup)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font family or null if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontFamily-org.apache.poi.common.usermodel.fonts.FontGroup-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontFamily</h4>
                                <pre>java.lang.String&nbsp;getFontFamily(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</pre>
                                <div class="block">Get the font family - convenience method for <a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>getFontInfo(FontGroup)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontGroup</code> - the font group, i.e. the range of glpyhs to be covered.
                                        if <code>null</code>, the font group matching the first character will be
                                        returned
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font family or null if not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontFamily-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontFamily</h4>
                                <pre>void&nbsp;setFontFamily(java.lang.String&nbsp;typeface)</pre>
                                <div class="block">Specifies the typeface, or name of the font that is to be used for
                                    this text run -
                                    convenience method for calling <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>setFontInfo(FontInfo,
                                        FontGroup)</code></a> with just a font name
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeface</code> - the font to apply to this text run.
                                        The value of <code>null</code> removes the run specific font setting, so the
                                        default setting is activated again.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontFamily-java.lang.String-org.apache.poi.common.usermodel.fonts.FontGroup-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontFamily</h4>
                                <pre>void&nbsp;setFontFamily(java.lang.String&nbsp;typeface,
                   <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                      title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</pre>
                                <div class="block">Specifies the typeface, or name of the font that is to be used for
                                    this text run -
                                    convenience method for calling <a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html#setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-"><code>setFontInfo(FontInfo,
                                        FontGroup)</code></a> with just a font name
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeface</code> - the font to apply to this text run.
                                        The value of <code>null</code> removes the run specific font setting, so the
                                        default setting is activated again.
                                    </dd>
                                    <dd><code>fontGroup</code> - the font group, i.e. the range of glpyhs to be covered.
                                        if <code>null</code>, the font group matching the first character will be
                                        returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontInfo</h4>
                                <pre><a href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a>&nbsp;getFontInfo(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</pre>
                                <div class="block">Get the font info for the given font group</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontGroup</code> - the font group, i.e. the range of glpyhs to be covered.
                                        if <code>null</code>, the font group matching the first character will be
                                        returned
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font info or <code>null</code> if not set</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.17-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-org.apache.poi.common.usermodel.fonts.FontGroup-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontInfo</h4>
                                <pre>void&nbsp;setFontInfo(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a>&nbsp;fontInfo,
                 <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontGroup.html"
                    title="enum in org.apache.poi.common.usermodel.fonts">FontGroup</a>&nbsp;fontGroup)</pre>
                                <div class="block">Specifies the font to be used for this text run.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fontInfo</code> - the font to apply to this text run.
                                        The value of <code>null</code> removes the run specific font setting, so the
                                        default setting is activated again.
                                    </dd>
                                    <dd><code>fontGroup</code> - the font group, i.e. the range of glpyhs to be covered.
                                        defaults to latin, if <code>null</code>.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.17-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBold--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBold</h4>
                                <pre>boolean&nbsp;isBold()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is bold</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBold-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBold</h4>
                                <pre>void&nbsp;setBold(boolean&nbsp;bold)</pre>
                                <div class="block">Sets the bold state</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>bold</code> - set to true for bold text, false for normal weight</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isItalic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isItalic</h4>
                                <pre>boolean&nbsp;isItalic()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is italic</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setItalic-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setItalic</h4>
                                <pre>void&nbsp;setItalic(boolean&nbsp;italic)</pre>
                                <div class="block">Sets the italic state</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>italic</code> - set to true for italic text, false for non-italics</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isUnderlined--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isUnderlined</h4>
                                <pre>boolean&nbsp;isUnderlined()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is underlined</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnderlined-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnderlined</h4>
                                <pre>void&nbsp;setUnderlined(boolean&nbsp;underlined)</pre>
                                <div class="block">Sets the underlined state</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>underlined</code> - set to true for underlined text, false for no
                                        underlining
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isStrikethrough--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStrikethrough</h4>
                                <pre>boolean&nbsp;isStrikethrough()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is stroked</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStrikethrough-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStrikethrough</h4>
                                <pre>void&nbsp;setStrikethrough(boolean&nbsp;stroked)</pre>
                                <div class="block">Sets the strikethrough state</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stroked</code> - set to true for stroked text, false for no stroking</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSubscript--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSubscript</h4>
                                <pre>boolean&nbsp;isSubscript()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is sub scripted</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isSuperscript--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isSuperscript</h4>
                                <pre>boolean&nbsp;isSuperscript()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true, if text is super scripted</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPitchAndFamily--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPitchAndFamily</h4>
                                <pre>byte&nbsp;getPitchAndFamily()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the pitch and family id or -1 if not applicable</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;?,?&gt;&nbsp;getHyperlink()</pre>
                                <div class="block">Return the associated hyperlink</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the associated hyperlink or null if no hyperlink was set</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createHyperlink--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createHyperlink</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Hyperlink.html"
                                        title="interface in org.apache.poi.sl.usermodel">Hyperlink</a>&lt;?,?&gt;&nbsp;createHyperlink()</pre>
                                <div class="block">Creates a new hyperlink and assigns it to this text run.
                                    If the text run has already a hyperlink assigned, return it instead
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the associated hyperlink</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFieldType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFieldType</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
<a href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html" title="enum in org.apache.poi.sl.usermodel">TextRun.FieldType</a>&nbsp;getFieldType()</pre>
                                <div class="block">Experimental method to determine the field type, e.g. slide number
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the field type or <code>null</code> if text run is not a field</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.TextAlign.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/TextRun.FieldType.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/TextRun.html" target="_top">Frames</a></li>
        <li><a href="TextRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
